<?xml version="1.0" encoding="UTF-8"?>

<!-- Copyright © 1993-2006 Araxis Ltd. All rights reserved. -->


<xsl:stylesheet version="1.0" xml:lang="en" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:mg="http://www.araxis.com/2002/Merge/Reporting" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">
    <xsl:variable name="outputEncoding">UTF-8</xsl:variable>
    <xsl:include href="../NonLocalized/ReportStylesheets/MgReport.xslt"/>

    <!-- MgReport.xslt -->
    <xsl:variable name="gl_copyButton">複製</xsl:variable>
    <xsl:variable name="gl_printButton">列印...</xsl:variable>
    <xsl:variable name="gl_saveAsButton">另存新檔...</xsl:variable>
    <xsl:variable name="gl_cssTextFontFamily">新細明體, Verdana, Arial, Helvetica, sans-serif</xsl:variable>
    <xsl:variable name="gl_slideN"> (投影片 </xsl:variable>
    <xsl:variable name="gl_slideNOf">  - 共 </xsl:variable>
    <xsl:variable name="gl_slideNOfNSuffix">)</xsl:variable>
    <xsl:variable name="gl_reportPreamble">
        <p>由 <strong>Araxis Merge</strong> 製作於 <strong><xsl:value-of select="/mg:report/mg:metaData/mg:date"/></strong>。請造訪 <a href="http://www.araxis.com/" title="Link to the Araxis corporate web site">www.araxis.com</a> 瞭解有關 Merge 的更多資訊。此報告採用 XHTML 和 CSS2 格式，使用標準的相容瀏覽器可以檢視到最佳效果，例如使用最新版本的  <a href="http://www.mozilla.org/products/firefox/" title="Link to the Firefox page on the Mozilla website">Firefox</a> 或 <a href="http://www.microsoft.com/ie/" title="Link to the Microsoft website">Internet Explorer</a>。列印此報告時為了取得最佳的效果，在您的瀏覽器中設定列印背景和色彩，並使用直式列印方向。</p>
    </xsl:variable>
    <xsl:variable name="gl_footer">Araxis Merge (不包括其產生的報告) 著作權所有 Copyright&#xA0;&#xA9;&#xA0;1993-2006&#xA0;Araxis&#xA0;Ltd (<a href="http://www.araxis.com/" title="Link to the Araxis corporate web site">www.araxis.com</a>)。保留所有權利。</xsl:variable>
    <xsl:variable name="gl_fileComparisonReportTitle">Araxis Merge 檔案比較報告</xsl:variable>
    <xsl:variable name="gl_folderComparisonReportTitle">Araxis Merge 資料夾比較報告</xsl:variable>
    <xsl:variable name="gl_fileSlideshowReportTitle">Araxis Merge 投影片報告</xsl:variable>
    <xsl:variable name="gl_errorFilesTooLargeToCreateReport">Files&#160;too&#160;big</xsl:variable>

    <!-- MgOptions.xslt -->
    <xsl:variable name="gl_activeRegularExpressions">使用中的常規陳述式</xsl:variable>
    <xsl:variable name="gl_expression">陳述式</xsl:variable>
    <xsl:variable name="gl_description">說明</xsl:variable>
    <xsl:variable name="gl_noRegularExpressionsWereActive">沒有使用中的常規陳述式。</xsl:variable>
    <xsl:variable name="gl_comparisonOptions">比較選項</xsl:variable>
    <xsl:variable name="gl_comparisonMethod">比較方法</xsl:variable>
    <xsl:variable name="gl_depth">深度</xsl:variable>
    <xsl:variable name="gl_whitespace">空白</xsl:variable>
    <xsl:variable name="gl_characterCase">字元大小寫</xsl:variable>
    <xsl:variable name="gl_lineEndings">行尾結束符號</xsl:variable>
    <xsl:variable name="gl_crLfCharacters">CR/LF 字元</xsl:variable>
    <xsl:variable name="gl_ignore">忽略</xsl:variable>
    <xsl:variable name="gl_include">包括</xsl:variable>
    <xsl:variable name="gl_unchangedFiles">未變更檔案</xsl:variable>
    <xsl:variable name="gl_timestampsAndSizes">時間戳記和大小</xsl:variable>
    <xsl:variable name="gl_changeCounts">變更計數</xsl:variable>
    <xsl:variable name="gl_onlyFilesInTopLevelCompared">僅比較位於資料夾最上層的檔案</xsl:variable>
    <xsl:variable name="gl_allFilesCompared">比較資料夾階層中的所有檔案</xsl:variable>
    <xsl:variable name="gl_disabled">停用</xsl:variable>
    <xsl:variable name="gl_filesMatchingThePattern">相符項 </xsl:variable>
    <xsl:variable name="gl_areIgnored"> 未包括在此比較中</xsl:variable>
    <xsl:variable name="gl_areIncludedInTheComparison"> 已包括在此比較中</xsl:variable>
    <xsl:variable name="gl_notShownInTheComparisonDetail">不在比較詳細資料中顯示</xsl:variable>
    <xsl:variable name="gl_shownInTheComparisonDetail">在比較詳細資料中顯示</xsl:variable>
    <xsl:variable name="gl_fileTimestampsAndSizes">使用檔案時間戳記和大小 (並非檔案的內容) 確定檔案是否相同</xsl:variable>
    <xsl:variable name="gl_comparisonRules">使用設定的比較規則比較檔案並確定檔案是否相同</xsl:variable>
    <xsl:variable name="gl_filesSmallerThan">小於 </xsl:variable>
    <xsl:variable name="gl_byteByByte"> KB 的檔案使用設定的比較規則進行比較並確定檔案是否相同。較大的檔案執行更快速的逐個位元組比較</xsl:variable>
    <xsl:variable name="gl_differingSizesOrTimestamps">具有不同時間戳記和大小的檔案使用設定的比較規則進行比較，以確定檔案是否相同。具有相同時間戳記和大小的檔案視為具有相同的內容</xsl:variable>
    <xsl:variable name="gl_identicalSizesAndTimestamps">具有相同時間戳記和大小的檔案視為具有相同的內容。小於  </xsl:variable>
    <xsl:variable name="gl_forLargerFiles"> KB 的檔案使用設定的比較規則進行比較並確定檔案是否相同。較大的檔案執行更快速的逐個位元組比較</xsl:variable>
    <xsl:variable name="gl_whitespaceSignificant">將空白區差異視為有意義</xsl:variable>
    <xsl:variable name="gl_whitespaceWithinLinesIgnored">忽略行中空白區內的所有差異</xsl:variable>
    <xsl:variable name="gl_whitespaceAtStartOfLinesIgnored">忽略每一行開頭空白區的差異</xsl:variable>
    <xsl:variable name="gl_characterCaseSignificant">將字元大小寫差異視為有意義</xsl:variable>
    <xsl:variable name="gl_characterCaseIgnored">忽略字元大小寫差異</xsl:variable>
    <xsl:variable name="gl_lineEndingsSignificant">行結尾字元的差異 (<code>CR</code> 和 <code>LF</code> 字元) 視為有意義</xsl:variable>
    <xsl:variable name="gl_lineEndingsIgnored">忽略行結尾字元的差異 (<code>CR</code> 和 <code>LF</code> 字元)</xsl:variable>

    <!-- MgFileMetaData.xslt -->
    <xsl:variable name="gl_filesCompared">比較的檔案</xsl:variable>
    <xsl:variable name="gl_file">檔案</xsl:variable>
    <xsl:variable name="gl_lastModified">上次修改時間</xsl:variable>
    <xsl:variable name="gl_secondFileIsCommonAncestor"><strong>注意:</strong> Merge 將第二個檔案視為其他檔案的公用上階檔案。</xsl:variable>
    <xsl:variable name="gl_comparisonSummary">比較摘要</xsl:variable>
    <xsl:variable name="gl_betweenFiles1And2">比較<br/>檔案 1 和 2</xsl:variable>
    <xsl:variable name="gl_betweenFiles2And3">比較<br/>檔案 2 和 3</xsl:variable>
    <xsl:variable name="gl_unchanged">未變更</xsl:variable>
    <xsl:variable name="gl_anAutomaticMergeWouldLeave"><strong>注意:</strong> 自動合併可能會產生</xsl:variable>
    <xsl:variable name="gl_conflicts"> 衝突。</xsl:variable>

    <!-- MgFileSlideshow.xslt -->
    <xsl:variable name="gl_previous">&lt;&lt;上一頁</xsl:variable>
    <xsl:variable name="gl_next">下一頁&gt;&gt;</xsl:variable>
    <xsl:variable name="gl_showNextSlide">顯示下一投影片</xsl:variable>
    <xsl:variable name="gl_showPreviousSlide">顯示上一投影片</xsl:variable>

    <!-- MgFolderRowData.xslt -->
    <xsl:variable name="gl_comparisonDetail">比較詳細資料</xsl:variable>
    <xsl:variable name="gl_linkToDetailedFileComparison">詳細檔案比較連結</xsl:variable>
    <xsl:variable name="gl_reportLinkText">報告</xsl:variable>

    <!-- MgFolderMetaData.xslt -->
    <xsl:variable name="gl_foldersCompared">比較的資料夾</xsl:variable>
    <xsl:variable name="gl_location">位置</xsl:variable>
    <xsl:variable name="gl_folder">資料夾</xsl:variable>
    <xsl:variable name="gl_numberIndicator">#</xsl:variable>
    <xsl:variable name="gl_secondFolderIsCommonAncestor"><strong>注意:</strong> Merge 將第二個資料夾視為其他資料夾的公用上階資料夾。</xsl:variable>
    <xsl:variable name="gl_notes">注意</xsl:variable>
    <xsl:variable name="gl_lineCountsNotShown">
        <p>未顯示行數，因為未選取<strong>資料夾比較</strong>選項頁上的<strong>總是檢查檔案內容</strong>設定。</p>
    </xsl:variable>
    <xsl:variable name="gl_detailedComparisonResultsTableNotAvailable">
        <p>詳細的比較結果表格不可用，因為已經選取<strong>資料夾比較</strong>選項頁上的<strong>檢查檔案時間戳記和大小</strong>選項。</p>
    </xsl:variable>
    <xsl:variable name="gl_summaryForAllFiles">所有檔案摘要</xsl:variable>
    <xsl:variable name="gl_summaryForSelectedFiles">選取檔案摘要</xsl:variable>
    <xsl:variable name="gl_betweenFolders1And2">比較資料夾 1 和 2</xsl:variable>
    <xsl:variable name="gl_betweenFolders2And3">比較資料夾 2 和 3</xsl:variable>
    <xsl:variable name="gl_betweenFolders1And3">比較資料夾 1 和 3</xsl:variable>
    <xsl:variable name="gl_relativeToCommonAncestor">相對於<br/>公用上階</xsl:variable>
    <xsl:variable name="gl_lines">行</xsl:variable>
    <xsl:variable name="gl_textBlocks">文字區塊</xsl:variable>
    <xsl:variable name="gl_changed">已變更</xsl:variable>
    <xsl:variable name="gl_inserted">已插入</xsl:variable>
    <xsl:variable name="gl_removed">已移除</xsl:variable>
    <xsl:variable name="gl_noFilesWereSelected">未選取任何檔案。</xsl:variable>
    <xsl:variable name="gl_doubleAsterisk">**</xsl:variable>

    <xsl:template name="mg:gl_localizedType">
        <xsl:param name="type"/>

        <xsl:choose>
            <xsl:when test="$type='unchanged'">未變更</xsl:when>
            <xsl:when test="$type='changed'">已變更</xsl:when>
            <xsl:when test="$type='inserted'">已插入</xsl:when>
            <xsl:when test="$type='removed'">已移除</xsl:when>
        </xsl:choose>
    </xsl:template>


    <xsl:template name="mg:gl_x_lines_in_y_pairs_of_type_files">
        <xsl:param name="x"/>
        <xsl:param name="y"/>
        <xsl:param name="type"/>
        <xsl:param name="pairs"/>
        <xsl:variable name="localizedType">
            <xsl:call-template name="mg:gl_localizedType">
                <xsl:with-param name="type" select="$type"/>
            </xsl:call-template>
        </xsl:variable>

        <xsl:choose>
            <xsl:when test="$y = 0">無<xsl:value-of select="$localizedType"/>檔案</xsl:when>
            <xsl:otherwise>
                <xsl:if test="$g_comparisonThoroughness='1'">

                    <xsl:choose>
                        <xsl:when test="$x = 1">1 行於<br/></xsl:when>
                        <xsl:when test="$x &gt; 1"><xsl:value-of select="$x"/> 行於<br/></xsl:when>
                    </xsl:choose>
                </xsl:if>

                <xsl:choose>
                    <xsl:when test="$y = 1">

                        <xsl:choose>
                            <xsl:when test="$pairs = true()">1 對<xsl:value-of select="$localizedType"/>檔案</xsl:when>
                            <xsl:otherwise>1 <xsl:value-of select="$localizedType"/> 檔案</xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                    <xsl:when test="$y &gt; 1">

                        <xsl:choose>
                            <xsl:when test="$pairs = true()"><xsl:value-of select="$y"/> 對<xsl:value-of select="$localizedType"/>檔案</xsl:when>
                            <xsl:otherwise><xsl:value-of select="$y"/>
                                <xsl:text> </xsl:text><xsl:value-of select="$localizedType"/> 檔案</xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                </xsl:choose>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>


    <xsl:template name="mg:gl_y_type_files">
        <xsl:param name="y"/>
        <xsl:param name="type"/><xsl:value-of select="$y"/>
        <xsl:text> </xsl:text>
        <xsl:call-template name="mg:gl_localizedType">
            <xsl:with-param name="type" select="$type"/>
        </xsl:call-template>
        <xsl:text> </xsl:text>

        <xsl:choose>
            <xsl:when test="$y=0"> 檔案</xsl:when>
            <xsl:when test="$y=1"> 檔案</xsl:when>
            <xsl:otherwise> 檔案</xsl:otherwise>
        </xsl:choose>
    </xsl:template>

</xsl:stylesheet>
