<?xml version="1.0" encoding="UTF-8" ?>

<!-- Copyright © 1993-2006 Araxis Ltd. All rights reserved. -->

<xsl:stylesheet version="1.0" xml:lang="en" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:mg="http://www.araxis.com/2002/Merge/Reporting" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">
  <xsl:variable name="outputEncoding">UTF-8</xsl:variable>
	<xsl:include href="../NonLocalized/ReportStylesheets/MgReport.xslt" />

	<!-- MgReport.xslt -->
	<xsl:variable name="gl_copyButton">Copier</xsl:variable>
	<xsl:variable name="gl_printButton">Imprimer...</xsl:variable>
	<xsl:variable name="gl_saveAsButton">Enregistrer sous...</xsl:variable>
	<xsl:variable name="gl_cssTextFontFamily">Verdana, Arial, Helvetica, sans-serif</xsl:variable>
	<xsl:variable name="gl_slideN"> (Diapositive </xsl:variable>
	<xsl:variable name="gl_slideNOf"> de </xsl:variable>
	<xsl:variable name="gl_slideNOfNSuffix">)</xsl:variable>
	<xsl:variable name="gl_reportPreamble">
		<p>Produit par <strong>Araxis Merge</strong> le <strong>
				<xsl:value-of select="/mg:report/mg:metaData/mg:date" />
			</strong>. Consultez <a href="http://www.araxis.com/" title="Link to the Araxis corporate web site">www.araxis.com</a> pour un complément d'informations sur Merge. Ce rapport utilise XHTML et CSS2. Son affichage est optimisé avec un navigateur conforme aux normes standard telle que la dernière version de <a href="http://www.mozilla.org/products/firefox/" title="Link to the Firefox page on the Mozilla website">Firefox</a> ou d'<a href="http://www.microsoft.com/ie/" title="Link to the Microsoft website">Internet Explorer</a>. Pour optimiser les résultats d'impression de ce rapport, activez l'impression d'images d'arrière-plan et de couleurs dans votre navigateur et utilisez l'orientation paysage.</p>
	</xsl:variable>
	<xsl:variable name="gl_footer">Araxis Merge (mais pas ce rapport généré) est protégé par les droits d'auteur Copyright © 1993-2006 Araxis Ltd (<a href="http://www.araxis.com/" title="Link to the Araxis corporate web site">www.araxis.com</a>). Tous droits réservés.</xsl:variable>
    <xsl:variable name="gl_fileComparisonReportTitle">Rapport de comparaison de fichiers Araxis Merge</xsl:variable>
    <xsl:variable name="gl_folderComparisonReportTitle">Rapport de comparaison de dossiers Araxis Merge</xsl:variable>
    <xsl:variable name="gl_fileSlideshowReportTitle">Rapport du diaporama d’Araxis Merge</xsl:variable>
    <xsl:variable name="gl_errorFilesTooLargeToCreateReport">Files&#160;too&#160;big</xsl:variable>

	<!-- MgOptions.xslt -->
	<xsl:variable name="gl_activeRegularExpressions">Expressions régulières actives</xsl:variable>
	<xsl:variable name="gl_expression">Expression</xsl:variable>
	<xsl:variable name="gl_description">Description</xsl:variable>
	<xsl:variable name="gl_noRegularExpressionsWereActive">Aucune expression régulière n'était active.</xsl:variable>
	<xsl:variable name="gl_comparisonOptions">Options de comparaison</xsl:variable>
	<xsl:variable name="gl_comparisonMethod">Méthode de comparaison</xsl:variable>
	<xsl:variable name="gl_depth">Profondeur</xsl:variable>
	<xsl:variable name="gl_whitespace">Espaces</xsl:variable>
	<xsl:variable name="gl_characterCase">Casse des caractères</xsl:variable>
	<xsl:variable name="gl_lineEndings">Fins de ligne</xsl:variable>
	<xsl:variable name="gl_crLfCharacters">Caractères CR et LF</xsl:variable>
	<xsl:variable name="gl_ignore">Ignorer</xsl:variable>
	<xsl:variable name="gl_include">Inclure</xsl:variable>
	<xsl:variable name="gl_unchangedFiles">Fichiers inchangés</xsl:variable>
	<xsl:variable name="gl_timestampsAndSizes">Dateurs et tailles</xsl:variable>
	<xsl:variable name="gl_changeCounts">Nombre de modifications</xsl:variable>
	<xsl:variable name="gl_onlyFilesInTopLevelCompared">Seuls les fichiers situés dans le niveau supérieur des dossiers sont comparés.</xsl:variable>
	<xsl:variable name="gl_allFilesCompared">Tous les fichiers de la hiérarchie de dossiers sont comparés.</xsl:variable>
	<xsl:variable name="gl_disabled">Désactivé</xsl:variable>
    <xsl:variable name="gl_filesMatchingThePattern">Les élément correspondants </xsl:variable>
    <xsl:variable name="gl_areIgnored"> ne sont pas inclus dans la comparaison.</xsl:variable>
    <xsl:variable name="gl_areIncludedInTheComparison"> sont inclus dans la comparaison.</xsl:variable>
	<xsl:variable name="gl_notShownInTheComparisonDetail">Pas indiqué dans le détail de la comparaison.</xsl:variable>
	<xsl:variable name="gl_shownInTheComparisonDetail">Indiqué dans le détail de la comparaison.</xsl:variable>
	<xsl:variable name="gl_fileTimestampsAndSizes">Les dateurs et les tailles des fichiers (pas le contenu des fichiers) sont utilisés pour déterminer si les fichiers sont identiques.</xsl:variable>
	<xsl:variable name="gl_comparisonRules">Les fichiers sont comparés en utilisant les règles de comparaison configurées pour déterminer s'ils sont identiques.</xsl:variable>
	<xsl:variable name="gl_filesSmallerThan">Les fichiers inférieurs à </xsl:variable>
	<xsl:variable name="gl_byteByByte"> Ko sont comparés en utilisant les règles de comparaison configurées pour déterminer s'ils sont identiques. Pour les fichiers de taille plus importante, on effectue une comparaison plus rapide, octet par octet.</xsl:variable>
	<xsl:variable name="gl_differingSizesOrTimestamps">Les fichiers ayant des tailles ou des dateurs différents sont comparés en utilisant les règles de comparaison configurées pour déterminer s'ils sont identiques. On assume que les fichiers dont les tailles et les dateurs sont identiques ont un contenu identique.</xsl:variable>
	<xsl:variable name="gl_identicalSizesAndTimestamps">On assume que les fichiers dont les tailles et les dateurs sont identiques ont un contenu identique. Les fichiers inférieurs à</xsl:variable>
	<xsl:variable name="gl_forLargerFiles"> Ko sont comparés en utilisant les règles de comparaison configurées pour déterminer s'ils sont identiques. Pour les fichiers de taille plus importante, on effectue une comparaison plus rapide, octet par octet.</xsl:variable>
	<xsl:variable name="gl_whitespaceSignificant">Les différences d'espaces sont significatives.</xsl:variable>
	<xsl:variable name="gl_whitespaceWithinLinesIgnored">Toutes les différences d'espaces au sein de rangées sont ignorées.</xsl:variable>
	<xsl:variable name="gl_whitespaceAtStartOfLinesIgnored">Les différences d'espaces au début des rangées sont ignorées.</xsl:variable>
	<xsl:variable name="gl_characterCaseSignificant">Les différences de casse des caractères sont significatives.</xsl:variable>
	<xsl:variable name="gl_characterCaseIgnored">Les différences de casse de caractères sont ignorées.</xsl:variable>
	<xsl:variable name="gl_lineEndingsSignificant">Les différences de fins de lignes (caractères <code>CR</code> et <code>LF</code>) sont significatives.</xsl:variable>
	<xsl:variable name="gl_lineEndingsIgnored">Les différences de fins de lignes (caractères <code>CR</code> et <code>LF</code>) sont ignorées.</xsl:variable>
	<!-- MgFileMetaData.xslt -->
	<xsl:variable name="gl_filesCompared">Fichiers comparés</xsl:variable>
	<xsl:variable name="gl_file">Fichier</xsl:variable>
	<xsl:variable name="gl_lastModified">Dernier modifié</xsl:variable>
	<xsl:variable name="gl_secondFileIsCommonAncestor"><strong>Note :</strong> Merge considère le second fichier comme l'ancêtre commun des autres fichiers.</xsl:variable>
	<xsl:variable name="gl_comparisonSummary">Résumé de la comparaison</xsl:variable>
	<xsl:variable name="gl_betweenFiles1And2">Entre<br />Fichiers 1 et 2</xsl:variable>
	<xsl:variable name="gl_betweenFiles2And3">Entre<br />Fichiers 2 et 3</xsl:variable>
	<xsl:variable name="gl_unchanged">Inchangé</xsl:variable>
	<xsl:variable name="gl_anAutomaticMergeWouldLeave"><strong>Note :</strong> Une fusion automatique engendrerait </xsl:variable>
	<xsl:variable name="gl_conflicts"> conflit(s).</xsl:variable>
	<!-- MgFileSlideshow.xslt -->
	<xsl:variable name="gl_previous">&lt;&lt; Précédent</xsl:variable>
	<xsl:variable name="gl_next">Suivant&gt;&gt;</xsl:variable>
	<xsl:variable name="gl_showNextSlide">Afficher la diapositive suivante</xsl:variable>
	<xsl:variable name="gl_showPreviousSlide">Afficher la diapositive précédente</xsl:variable>
	<!-- MgFolderRowData.xslt -->
	<xsl:variable name="gl_comparisonDetail">Détail de la comparaison</xsl:variable>
	<xsl:variable name="gl_linkToDetailedFileComparison">Lien vers la comparaison de fichiers détaillée</xsl:variable>
	<xsl:variable name="gl_reportLinkText">Rapport </xsl:variable>
	<!-- MgFolderMetaData.xslt -->
	<xsl:variable name="gl_foldersCompared">Dossiers comparés</xsl:variable>
	<xsl:variable name="gl_location">Emplacement</xsl:variable>
	<xsl:variable name="gl_folder">Dossier</xsl:variable>
	<xsl:variable name="gl_numberIndicator">#</xsl:variable>
	<xsl:variable name="gl_secondFolderIsCommonAncestor"><strong>Note :</strong> Merge considère le second dossier comme l'ancêtre commun des autres dossiers.</xsl:variable>
	<xsl:variable name="gl_notes">Notes</xsl:variable>
	<xsl:variable name="gl_lineCountsNotShown">
		<p>Le nombre de rangées n'est pas indiqué car le paramètre <strong>Toujours vérifier le contenu du fichier</strong> de la page d'options <strong>Comparaison de dossiers</strong> n'est pas sélectionné.</p>
	</xsl:variable>
	<xsl:variable name="gl_detailedComparisonResultsTableNotAvailable">
		<p>Le tableau des résultats détaillés de la comparaison n'est pas disponible car l'option <strong>Vérifier les dateurs et la taille des fichiers</strong> est sélectionnée sur la page d'options <strong>Comparaison de dossiers</strong>.</p>
	</xsl:variable>
	<xsl:variable name="gl_summaryForAllFiles">Résumé pour tous les fichiers</xsl:variable>
	<xsl:variable name="gl_summaryForSelectedFiles">Résumé pour les fichiers sélectionnés</xsl:variable>
	<xsl:variable name="gl_betweenFolders1And2">Entre les dossiers 1 et 2</xsl:variable>
	<xsl:variable name="gl_betweenFolders2And3">Entre les dossiers 2 et 3</xsl:variable>
	<xsl:variable name="gl_betweenFolders1And3">Entre les dossiers 1 et 3</xsl:variable>
	<xsl:variable name="gl_relativeToCommonAncestor">Relatif à<br />l'ancêtre commun</xsl:variable>
	<xsl:variable name="gl_lines">Rangées</xsl:variable>
	<xsl:variable name="gl_textBlocks">Blocs de texte</xsl:variable>
	<xsl:variable name="gl_changed">Changé</xsl:variable>
	<xsl:variable name="gl_inserted">Inséré</xsl:variable>
	<xsl:variable name="gl_removed">Supprimé</xsl:variable>
	<xsl:variable name="gl_noFilesWereSelected">Aucun fichier n'a été sélectionné.</xsl:variable>
	<xsl:variable name="gl_doubleAsterisk">**</xsl:variable>
	<xsl:template name="mg:gl_localizedType">
		<xsl:param name="type" />
		<xsl:choose>
			<xsl:when test="$type='unchanged'">inchangé</xsl:when>
			<xsl:when test="$type='changed'">changé</xsl:when>
			<xsl:when test="$type='inserted'">inséré</xsl:when>
			<xsl:when test="$type='removed'">supprimé</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="mg:gl_x_lines_in_y_pairs_of_type_files">
		<xsl:param name="x" />
		<xsl:param name="y" />
		<xsl:param name="type" />
		<xsl:param name="pairs" />
		<xsl:variable name="localizedType">
			<xsl:call-template name="mg:gl_localizedType">
				<xsl:with-param name="type" select="$type" />
			</xsl:call-template>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$y = 0">Nombre de <xsl:value-of select="$localizedType" /> fichiers</xsl:when>
			<xsl:otherwise>
				<xsl:if test="$g_comparisonThoroughness='1'">
					<xsl:choose>
						<xsl:when test="$x = 1">1 rangée dans<br /></xsl:when>
						<xsl:when test="$x &gt; 1"><xsl:value-of select="$x" /> rangées dans<br /></xsl:when>
					</xsl:choose>
				</xsl:if>
				<xsl:choose>
					<xsl:when test="$y = 1">
						<xsl:choose>
							<xsl:when test="$pairs = true()">1 paire de <xsl:value-of select="$localizedType" /> fichiers</xsl:when>
							<xsl:otherwise>1 <xsl:value-of select="$localizedType" /> fichier</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:when test="$y &gt; 1">
						<xsl:choose>
							<xsl:when test="$pairs = true()"><xsl:value-of select="$y" /> paires de <xsl:value-of select="$localizedType" /> fichiers</xsl:when>
							<xsl:otherwise><xsl:value-of select="$y" /> <xsl:text> </xsl:text><xsl:value-of select="$localizedType" /> fichiers</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
    
    
	<xsl:template name="mg:gl_y_type_files">
		<xsl:param name="y" />
		<xsl:param name="type" />
		<xsl:value-of select="$y" />
		<xsl:text> </xsl:text>
		<xsl:call-template name="mg:gl_localizedType">
			<xsl:with-param name="type" select="$type" />
		</xsl:call-template>
		<xsl:text> </xsl:text>
		<xsl:choose>
			<xsl:when test="$y=0"> fichiers</xsl:when>
			<xsl:when test="$y=1"> fichier</xsl:when>
			<xsl:otherwise> fichiers</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
