<?xml version="1.0" encoding="UTF-8"?>

<!-- Copyright © 1993-2006 Araxis Ltd. All rights reserved. -->


<xsl:stylesheet version="1.0" xml:lang="en" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:mg="http://www.araxis.com/2002/Merge/Reporting" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">
    <xsl:variable name="outputEncoding">UTF-8</xsl:variable>
    <xsl:include href="../NonLocalized/ReportStylesheets/MgReport.xslt"/>

    <!-- MgReport.xslt -->
    <xsl:variable name="gl_copyButton">Copy</xsl:variable>
    <xsl:variable name="gl_printButton">Print...</xsl:variable>
    <xsl:variable name="gl_saveAsButton">Save As...</xsl:variable>
    <xsl:variable name="gl_cssTextFontFamily">Verdana, Arial, Helvetica, sans-serif</xsl:variable>
    <xsl:variable name="gl_slideN"> (Slide </xsl:variable>
    <xsl:variable name="gl_slideNOf"> of </xsl:variable>
    <xsl:variable name="gl_slideNOfNSuffix">)</xsl:variable>
    <xsl:variable name="gl_reportPreamble">
        <p>Produced by <strong>Araxis Merge</strong> on <strong><xsl:value-of select="/mg:report/mg:metaData/mg:date"/></strong>. See <a href="http://www.araxis.com/" title="Link to the Araxis corporate web site">www.araxis.com</a> for information about Merge. This report uses XHTML and CSS2, and is best viewed with a reasonably standards compliant browser such as the latest version of <a href="http://www.mozilla.org/products/firefox/" title="Link to the Firefox page on the Mozilla website">Firefox</a> or <a href="http://www.microsoft.com/ie/" title="Link to the Microsoft website">Internet Explorer</a>. For optimum results when printing this report, use landscape orientation and enable printing of background images and colours in your browser.</p>
    </xsl:variable>
    <xsl:variable name="gl_footer">Araxis Merge (but not the data content of this report) is Copyright&#160;©&#160;1993-2006&#160;Araxis&#160;Ltd (<a href="http://www.araxis.com/" title="Link to the Araxis corporate web site">www.araxis.com</a>). All&#160;rights&#160;reserved.</xsl:variable>
    <xsl:variable name="gl_fileComparisonReportTitle">Araxis Merge File Comparison Report</xsl:variable>
    <xsl:variable name="gl_folderComparisonReportTitle">Araxis Merge Folder Comparison Report</xsl:variable>
    <xsl:variable name="gl_fileSlideshowReportTitle">Araxis Merge Slideshow Report</xsl:variable>
    <xsl:variable name="gl_errorFilesTooLargeToCreateReport">Files&#160;too&#160;big</xsl:variable>

    <!-- MgOptions.xslt -->
    <xsl:variable name="gl_activeRegularExpressions">Active regular expressions</xsl:variable>
    <xsl:variable name="gl_expression">Expression</xsl:variable>
    <xsl:variable name="gl_description">Description</xsl:variable>
    <xsl:variable name="gl_noRegularExpressionsWereActive">No regular expressions were active.</xsl:variable>
    <xsl:variable name="gl_comparisonOptions">Comparison options</xsl:variable>
    <xsl:variable name="gl_comparisonMethod">Comparison method</xsl:variable>
    <xsl:variable name="gl_depth">Depth</xsl:variable>
    <xsl:variable name="gl_whitespace">Whitespace</xsl:variable>
    <xsl:variable name="gl_characterCase">Character case</xsl:variable>
    <xsl:variable name="gl_lineEndings">Line endings</xsl:variable>
    <xsl:variable name="gl_crLfCharacters">CR/LF characters</xsl:variable>
    <xsl:variable name="gl_ignore">Ignore</xsl:variable>
    <xsl:variable name="gl_include">Include</xsl:variable>
    <xsl:variable name="gl_unchangedFiles">Unchanged files</xsl:variable>
    <xsl:variable name="gl_timestampsAndSizes">Timestamps and sizes</xsl:variable>
    <xsl:variable name="gl_changeCounts">Change counts</xsl:variable>
    <xsl:variable name="gl_onlyFilesInTopLevelCompared">Only the files in the top level of the folders are compared</xsl:variable>
    <xsl:variable name="gl_allFilesCompared">All files in the folder hierarchy are compared</xsl:variable>
    <xsl:variable name="gl_disabled">Disabled</xsl:variable>
    <xsl:variable name="gl_filesMatchingThePattern">Items matching </xsl:variable>
    <xsl:variable name="gl_areIgnored"> are not included in the comparison</xsl:variable>
    <xsl:variable name="gl_areIncludedInTheComparison"> are included in the comparison</xsl:variable>
    <xsl:variable name="gl_notShownInTheComparisonDetail">Not shown in the comparison detail</xsl:variable>
    <xsl:variable name="gl_shownInTheComparisonDetail">Shown in the comparison detail</xsl:variable>
    <xsl:variable name="gl_fileTimestampsAndSizes">File timestamps and sizes (not the file contents) are used to determine whether files are identical</xsl:variable>
    <xsl:variable name="gl_comparisonRules">Files are compared using the configured comparison rules to determine whether they are identical</xsl:variable>
    <xsl:variable name="gl_filesSmallerThan">Files smaller than </xsl:variable>
    <xsl:variable name="gl_byteByByte"> KB are compared using the configured comparison rules to determine whether they are identical. For larger files, a faster byte-by-byte comparison is performed</xsl:variable>
    <xsl:variable name="gl_differingSizesOrTimestamps">Files with differing sizes or timestamps are compared using the configured comparison rules to determine whether they are identical. Files with identical sizes and timestamps are assumed to have identical content</xsl:variable>
    <xsl:variable name="gl_identicalSizesAndTimestamps">Files with identical sizes and timestamps are assumed to have identical content. Files smaller than </xsl:variable>
    <xsl:variable name="gl_forLargerFiles"> KB are compared using the configured comparison rules to determine whether they are identical. For larger files, a byte-by-byte comparison is performed</xsl:variable>
    <xsl:variable name="gl_whitespaceSignificant">Differences in whitespace are significant</xsl:variable>
    <xsl:variable name="gl_whitespaceWithinLinesIgnored">All differences in whitespace within lines are ignored</xsl:variable>
    <xsl:variable name="gl_whitespaceAtStartOfLinesIgnored">Differences in whitespace at the start of lines are ignored</xsl:variable>
    <xsl:variable name="gl_characterCaseSignificant">Differences in character case are significant</xsl:variable>
    <xsl:variable name="gl_characterCaseIgnored">Differences in character case are ignored</xsl:variable>
    <xsl:variable name="gl_lineEndingsSignificant">Differences in line endings (<code>CR</code> and <code>LF</code> characters) are significant</xsl:variable>
    <xsl:variable name="gl_lineEndingsIgnored">Differences in line endings (<code>CR</code> and <code>LF</code> characters) are ignored</xsl:variable>

    <!-- MgFileMetaData.xslt -->
    <xsl:variable name="gl_filesCompared">Files compared</xsl:variable>
    <xsl:variable name="gl_file">File</xsl:variable>
    <xsl:variable name="gl_lastModified">Last Modified</xsl:variable>
    <xsl:variable name="gl_secondFileIsCommonAncestor"><strong>Note:</strong> Merge considers the second file to be the common ancestor of the others.</xsl:variable>
    <xsl:variable name="gl_comparisonSummary">Comparison summary</xsl:variable>
    <xsl:variable name="gl_betweenFiles1And2">Between<br/>Files 1 and 2</xsl:variable>
    <xsl:variable name="gl_betweenFiles2And3">Between<br/>Files 2 and 3</xsl:variable>
    <xsl:variable name="gl_unchanged">Unchanged</xsl:variable>
    <xsl:variable name="gl_anAutomaticMergeWouldLeave"><strong>Note:</strong> An automatic merge would leave </xsl:variable>
    <xsl:variable name="gl_conflicts"> conflict(s).</xsl:variable>

    <!-- MgFileSlideshow.xslt -->
    <xsl:variable name="gl_previous">&lt;&lt;&#160;Previous</xsl:variable>
    <xsl:variable name="gl_next">Next&#160;&gt;&gt;</xsl:variable>
    <xsl:variable name="gl_showNextSlide">Show next slide</xsl:variable>
    <xsl:variable name="gl_showPreviousSlide">Show previous slide</xsl:variable>

    <!-- MgFolderRowData.xslt -->
    <xsl:variable name="gl_comparisonDetail">Comparison detail</xsl:variable>
    <xsl:variable name="gl_linkToDetailedFileComparison">Link to detailed file comparison</xsl:variable>
    <xsl:variable name="gl_reportLinkText">Report&#160;</xsl:variable>

    <!-- MgFolderMetaData.xslt -->
    <xsl:variable name="gl_foldersCompared">Folders compared</xsl:variable>
    <xsl:variable name="gl_location">Location</xsl:variable>
    <xsl:variable name="gl_folder">Folder</xsl:variable>
    <xsl:variable name="gl_numberIndicator">#</xsl:variable>
    <xsl:variable name="gl_secondFolderIsCommonAncestor"><strong>Note:</strong> Merge considers the second folder to be the common ancestor of the others.</xsl:variable>
    <xsl:variable name="gl_notes">Notes</xsl:variable>
    <xsl:variable name="gl_lineCountsNotShown">
        <p>Line counts are not shown because the <strong>Always check file content</strong> setting on the <strong>Folder Comparison</strong> options page is not selected.</p>
    </xsl:variable>
    <xsl:variable name="gl_detailedComparisonResultsTableNotAvailable">
        <p>The detailed comparison results table is not available because the <strong>Check file timestamps and sizes</strong> option is selected on the <strong>Folder Comparison</strong> options page.</p>
    </xsl:variable>
    <xsl:variable name="gl_summaryForAllFiles">Summary for all files</xsl:variable>
    <xsl:variable name="gl_summaryForSelectedFiles">Summary for selected files</xsl:variable>
    <xsl:variable name="gl_betweenFolders1And2">Between Folders 1 and 2</xsl:variable>
    <xsl:variable name="gl_betweenFolders2And3">Between Folders 2 and 3</xsl:variable>
    <xsl:variable name="gl_betweenFolders1And3">Between Folders 1 and 3</xsl:variable>
    <xsl:variable name="gl_relativeToCommonAncestor">Relative to<br/>Common Ancestor</xsl:variable>
    <xsl:variable name="gl_lines">Lines</xsl:variable>
    <xsl:variable name="gl_textBlocks">Text Blocks</xsl:variable>
    <xsl:variable name="gl_changed">Changed</xsl:variable>
    <xsl:variable name="gl_inserted">Inserted</xsl:variable>
    <xsl:variable name="gl_removed">Removed</xsl:variable>
    <xsl:variable name="gl_noFilesWereSelected">No files were selected.</xsl:variable>
    <xsl:variable name="gl_doubleAsterisk">**</xsl:variable>

    <xsl:template name="mg:gl_localizedType">
        <xsl:param name="type"/>

        <xsl:choose>
            <xsl:when test="$type='unchanged'">unchanged</xsl:when>
            <xsl:when test="$type='changed'">changed</xsl:when>
            <xsl:when test="$type='inserted'">inserted</xsl:when>
            <xsl:when test="$type='removed'">removed</xsl:when>
        </xsl:choose>
    </xsl:template>


    <xsl:template name="mg:gl_x_lines_in_y_pairs_of_type_files">
        <xsl:param name="x"/>
        <xsl:param name="y"/>
        <xsl:param name="type"/>
        <xsl:param name="pairs"/>
        <xsl:variable name="localizedType">
            <xsl:call-template name="mg:gl_localizedType">
                <xsl:with-param name="type" select="$type"/>
            </xsl:call-template>
        </xsl:variable>

        <xsl:choose>
            <xsl:when test="$y = 0">No <xsl:value-of select="$localizedType"/> files</xsl:when>
            <xsl:otherwise>
                <xsl:if test="$g_comparisonThoroughness='1'">

                    <xsl:choose>
                        <xsl:when test="$x = 1">1 line in<br/></xsl:when>
                        <xsl:when test="$x &gt; 1"><xsl:value-of select="$x"/> lines in<br/></xsl:when>
                    </xsl:choose>
                </xsl:if>

                <xsl:choose>
                    <xsl:when test="$y = 1">

                        <xsl:choose>
                            <xsl:when test="$pairs = true()">1 pair of <xsl:value-of select="$localizedType"/> files</xsl:when>
                            <xsl:otherwise>1 <xsl:value-of select="$localizedType"/> file</xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                    <xsl:when test="$y &gt; 1">

                        <xsl:choose>
                            <xsl:when test="$pairs = true()"><xsl:value-of select="$y"/> pairs of <xsl:value-of select="$localizedType"/> files</xsl:when>
                            <xsl:otherwise><xsl:value-of select="$y"/>
                                <xsl:text> </xsl:text><xsl:value-of select="$localizedType"/> files</xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                </xsl:choose>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>


    <xsl:template name="mg:gl_y_type_files">
        <xsl:param name="y"/>
        <xsl:param name="type"/><xsl:value-of select="$y"/>
        <xsl:text> </xsl:text>
        <xsl:call-template name="mg:gl_localizedType">
            <xsl:with-param name="type" select="$type"/>
        </xsl:call-template>
        <xsl:text> </xsl:text>

        <xsl:choose>
            <xsl:when test="$y=0"> files</xsl:when>
            <xsl:when test="$y=1"> file</xsl:when>
            <xsl:otherwise> files</xsl:otherwise>
        </xsl:choose>
    </xsl:template>

</xsl:stylesheet>